KAboutTranslator Class Reference

`#include <kaboutdata.h>`

## Public Member Functions

| KAboutTranslator (const QString &name=QString::null, const QString &emailAddress=QString::null)
QString | name () const
QString | emailAddress () const

## Detailed Description

This structure is used to store information about a translator.

It can store the translator's name and an email address. This class is intended for use in the KAboutData class, but it can be used elsewhere as well. Normally you should at least define the translator's name.

It's not possible to use KAboutPerson for this, because KAboutPerson stores internally only const char* pointers, but the translator information is generated dynamically from the translation of a dummy string.

Definition at line 134 of file kaboutdata.h.

## Constructor & Destructor Documentation

KAboutTranslator::KAboutTranslator | ( | const QString & | name = `QString::null`,
|  | const QString & | emailAddress = `QString::null`
| ) |  |

Convenience constructor.

Parameters

  name | The name of the person.
  emailAddress | The email address of the person.

Definition at line 57 of file kaboutdata.cpp.

## Member Function Documentation

QString KAboutTranslator::emailAddress | ( |  | ) | const

The translator's email.

Returns
  the translator's email address (can be QString::null, if it has been constructed with a null email)

Definition at line 69 of file kaboutdata.cpp.

QString KAboutTranslator::name | ( |  | ) | const

The translator's name.

Returns
  the translators's name (can be QString::null, if it has been constructed with a null name)

Definition at line 64 of file kaboutdata.cpp.

The documentation for this class was generated from the following files:

- kaboutdata.h
- kaboutdata.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys